HomeFreeBSD

print/dot2tex: Fix incorrect Python version spec

Description

print/dot2tex: Fix incorrect Python version spec

dot2tex supports Python 2 and 3. This change removes the unecessary version
spec restriction to 2.7.

While I'm here:

  • Add PKGNAMEPREFIX (unique package names per flavor)
  • Enable USE_PYTHON=concurrent, each package flavor installs scripts in common locations
  • Add TEST_DEPENDS/test target
  • Add python to CATEGORIES
  • Pet portlint (Make file sort/group order)

PR: 237984
Approved by: portmgr (maintainer timeout: 1 month)
MFH: 2019Q2 (blanket(s): ports (& Python) compliance)

Details

Committed
koobsJul 1 2019, 6:56 AM
Parents
rP505543: MFH: r505006 devel/py-osprofiler: Add missing dependency
Branches
Unknown
Tags
Unknown